import React from 'react';
import { StoreSchemaType } from '@ui-schema/ui-schema';
export interface CodeBarProps {
    schema: StoreSchemaType;
    barBegin?: React.ReactElement;
    barContent?: React.ReactElement;
    barEnd?: React.ReactElement;
}
export interface CodeBarPropsFull extends CodeBarProps {
    style?: React.CSSProperties;
    spacingTop?: number;
}
export declare const CodeBar: React.FC<CodeBarPropsFull>;
