"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CodeBar = void 0;

var _react = _interopRequireDefault(require("react"));

var _Box = _interopRequireDefault(require("@mui/material/Box"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var CodeBar = function CodeBar(_ref) {
  var barBegin = _ref.barBegin,
      barContent = _ref.barContent,
      barEnd = _ref.barEnd,
      style = _ref.style,
      _ref$spacingTop = _ref.spacingTop,
      spacingTop = _ref$spacingTop === void 0 ? 0.5 : _ref$spacingTop;
  return barBegin || barContent || barEnd ? _react["default"].createElement(_Box["default"], {
    mt: spacingTop,
    style: _objectSpread(_objectSpread({}, style || {}), {}, {
      display: 'flex',
      alignItems: 'center',
      overflow: 'auto'
    })
  }, barBegin || null, barContent ? _react["default"].createElement(_Box["default"], {
    ml: barBegin && barContent ? 1 : 0,
    mr: barEnd && barContent ? 1 : 0,
    style: {
      overflow: 'auto'
    }
  }, barContent || null) : null, barEnd || null) : null;
};

exports.CodeBar = CodeBar;