import React from 'react';
import { Extension } from '@codemirror/state';
import { TextFieldProps } from '@mui/material';
export interface EditorThemeCustomStyles {
    textColor?: Pick<React.CSSProperties, 'color'>;
    headlineColor?: Pick<React.CSSProperties, 'color'>;
    backgroundColor?: Pick<React.CSSProperties, 'backgroundColor'>;
    lineHeight?: Pick<React.CSSProperties, 'lineHeight'>;
    lineHeightDense?: Pick<React.CSSProperties, 'lineHeight'>;
    selectionMatch: Pick<React.CSSProperties, 'backgroundColor'>;
    activeLineGutter: Pick<React.CSSProperties, 'backgroundColor'>;
    activeLine: Pick<React.CSSProperties, 'backgroundColor'>;
    activeSelection: Pick<React.CSSProperties, 'backgroundColor'>;
}
export declare const useEditorTheme: (readOnly?: boolean, dense?: boolean, customVariant?: TextFieldProps['variant'] | 'embed', customStyles?: EditorThemeCustomStyles) => Extension;
